#ifndef AlienCommandDialog_h
#define AlienCommandDialog_h

// $Id: AlienCommandDialog.h,v 1.10 2014/02/10 10:34:29 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "AlienCommand.h"
#include "Key.h"

#include <QAction>

class TreeView;
class AlienCommandModel;

//! show list of pending commands
class AlienCommandDialog: public CustomDialog, public Base::Key
{

    Q_OBJECT

    public:

    //! constructor
    AlienCommandDialog( QWidget* parent );

    //! destructor
    virtual ~AlienCommandDialog( void )
    {}

    //! model
    void setModel( AlienCommandModel* );

    //! list
    TreeView& list( void ) const
    { return *list_; }

    private:

    //! user selection frame
    TreeView* list_;

    //! model
    AlienCommandModel* model_;

};
#endif
