#ifndef JobTraceSyntaxHighlighter_h
#define JobTraceSyntaxHighlighter_h
// $Id: JobTraceSyntaxHighlighter.h,v 1.5 2013/10/25 09:39:37 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QSyntaxHighlighter>
#include <QTextDocument>

class JobTraceSyntaxHighlighter: public QSyntaxHighlighter, public Counter
{

    Q_OBJECT

    public:

    //! constructor from document
    JobTraceSyntaxHighlighter( QTextDocument* );

    //! destructor
    virtual ~JobTraceSyntaxHighlighter( void )
    {}

    protected:

    //! highlight
    virtual void highlightBlock( const QString& );

    private Q_SLOTS:

    void _updateConfiguration( void );

    private:

    //! matching regexp
    QRegExp regExp_;

    //!@name colors
    //@{

    QColor traceColor_;
    QColor stateColor_;
    QColor procColor_;
    QColor submitColor_;

    //@}
};

#endif
